%define	desktop_vendor planetccrma

Summary: Pattern based drum machine
Name: hydrogen
Version: 0.9.3
Release: 3%{?dist}
License: GPL
Group: Applications/Multimedia
URL: ttp://www.hydrogen-music.org/
Source0: %{name}-%{version}%{?pretag}.tar.gz
Source1: hydrogen.desktop
Patch1: hydrogen-0.9.2-songeditor.patch
Patch2: hydrogen-0.9.3-tinyxml.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

# it is now one isolated package, no longer needs libhydrogen
Obsoletes: libhydrogen <= 0.8.0 libhydrogen-devel <= 0.8.0
Conflicts: libhydrogen <= 0.8.0 libhydrogen-devel <= 0.8.0
Requires: qt >= 3.1

BuildRequires: desktop-file-utils liblrdf-devel glib2-devel,
BuildRequires: qt-devel curl-devel openssl-devel libxml2-devel
BuildRequires: alsa-lib-devel audiofile-devel jack-audio-connection-kit-devel
BuildRequires: libsndfile-devel libjpeg-devel libpng-devel flac-devel
%if "%{fedora}" >= "5"
BuildRequires: libX11-devel
%else
BuildRequires: XFree86-devel
%endif

%description
Hydrogen is a "free" pattern based drum machine for GNU/Linux.  The
application goal is to allow the simple and fast creation of rhythmic
patterns.

%prep
%setup -q -n %{name}-%{version}
%if "%{fedora}" == "2" || "%{fedora}" == "3"
%patch1 -p1
%endif
%if "%{fedora}" == "4"
%patch1 -p1
%endif
%if "%{fedora}" >= "5"
%patch2 -p1
%endif

%build
# 0.9.2 tries to run update-menus at install time
%{__perl} -p -i -e "s|update-menus||g" Makefile.in

# look for ladspa plugins in the right lib directories
%ifarch x86_64
find . -name \*.cpp -exec %{__perl} -p -i -e "s|/usr/lib/ladspa|%{_libdir}/ladspa|g" {} \;
find . -name \*.cpp -exec %{__perl} -p -i -e "s|/usr/local/lib/ladspa|%{_prefix}/local/%{_lib}/ladspa|g" {} \;
%endif

%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# copy icon into proper freedesktop location
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
%{__cp} %{buildroot}%{_datadir}/hydrogen/data/img/gray/icon64.png \
        %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/hydrogen.png

# desktop file categories
BASE="X-PlanetCCRMA X-Fedora Application AudioVideo"
XTRA="X-Drumming X-MIDI X-Jack"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/hydrogen*
%{_datadir}/hydrogen
%{_prefix}/lib/hydrogen/plugins
%{_datadir}/applications/planetccrma-hydrogen.desktop
%exclude %{_datadir}/applications/hydrogen.desktop
%{_datadir}/icons/hicolor/64x64/apps/hydrogen.png

%changelog
* Tue Dec 12 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.3-3
- copy icon to freedesktop location, add post/postun scripts and
  icon theme dependency, build for fc6
- plugins are not stored internally in a lib64 dir for x86_64
- in x86_64 look for the ladspa plugins in the lib64 directories

* Fri Nov 24 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file tweaks

* Sat May  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.3-2
- added Planet CCRMA categories to desktop file
- split example drumkit into separate package again, the current
  package submission to Extras does not include them.

* Wed Apr  5 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.3-1
- updated to 0.9.3, added fc5 patch for gcc4.1

* Thu Aug 11 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-2
- added patch for song editor in fedora core 3/4

* Fri Jul 29 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-1
- changed optimization from -O3 to -O2, solves the cpu hog problem
- put proper icon path in desktop file
- exclude original desktop file from list

* Mon Jul 25 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-1
- updated to 0.9.2 final release
- don't use the non-existing update-menus command in the install stage

* Thu Jul 14 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-0.2.rc1
- updated to 0.9.2-rc1

* Fri Jun 24 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-0.1.beta4
- updated to 0.9.2beta4
- no more doc/ directory in the sources, commented out files in 

  file list
* Thu Jun 16 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-0.1.beta3
- updated to 0.9.2beta3, does not build on fc4/gcc4

* Mon May 30 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- assert.h problem in fc4 as well

* Fri Dec 17 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- add hack for assert.h include under fc3

* Thu Dec 16 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file tweaks

* Sat Dec  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1
- updated to 0.9.1
- added HardElectro1, Millo_Multilayered2 and ErnysPercussions drumkits
- redid flac patch
- add proper build flags

* Thu Sep 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-1
- updated to 0.9.0
- added Millo-Drums_v1 drumkit
- added flac and libsndfile dependencies

* Tue May 18 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added patch for building on fc2

* Thu Apr  1 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.2-1
- updated to 0.8.2
- added additional drumkits, the demo songs had to be saved with 0.8.2,
  and the erroneous size xml tags were removed (when loading hydrogen
  complains about the missing tags but the song seems to play just fine)

* Thu Jan 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.1-2
- added patch for broken loop button, thanks to Patrice Tisserand for
  the patch

* Wed Dec 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.1-1
- updated to 0.8.1 final

* Mon Dec 14 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.1-0.rc1.1
- updated to 0.8.1rc1, updated file list
- no longer creates or needs libhydrogen, obsoletes added
- fix executable names on 7.3

* Wed Nov 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.0-1
- added documentation files

* Sat Nov  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.0-1
- added release tags, spec file tweaks

* Sun May 25 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.0-1
- initial build.
- added explicit requires for qt >= 3.1
- do not use complete % configure or binary gets i386 name
